#include "ToSeven.h"

bool ToSeven::wrongBall(std::string & s) {
    bool wrong = true;
    error = "e53: wrongBall()";

    for(int i = 1; i <= ALL; ++i) {
        if(s == ball[i]) {
            wrong = false;
            error = "e54: s == ball[i]";
            break;
        }

    }

    return wrong;
}

int ToSeven::writeFile() {
    int result = FALSE_N;
    sequenceLength = sequence.length();
    to7 = sequence.substr( sequenceLength - 5, 5);
    s01 = sequence.substr(0, 3);
    if( wrongBall(s01) ) {
        return result;
    }

    s02 = sequence.substr(3, 3);
    if( wrongBall(s02) ) {
        return result;
    }

    s03 = sequence.substr(6, 3);
    if( wrongBall(s03) ) {
        return result;
    }

    s04 = sequence.substr(9, 3);
    if( wrongBall(s04) ) {
        return result;
    }

    s05 = sequence.substr(12, 3);
    if( wrongBall(s05) ) {
        return result;
    }

    s06 = sequence.substr(15, 3);
    if( wrongBall(s06) ) {
        return result;
    }

    s07 = sequence.substr(18, 3);
    if( wrongBall(s07) ) {
        return result;
    }

    s08 = sequence.substr(21, 3);
    if( wrongBall(s08) ) {
        return result;
    }

    if(BOX_8TO7 == to7) {
        result = file8to7();
    } else if(BOX_9TO7 == to7) {
        s09 = sequence.substr(24, 3);
        result = file9to7();
    } else if(BOX_10TO7 == to7) {
        s09 = sequence.substr(24, 3);
        s10 = sequence.substr(27, 3);
        result = file10to7();
    } else if(BOX_11TO7 == to7) {
        s09 = sequence.substr(24, 3);
        s10 = sequence.substr(27, 3);
        s11 = sequence.substr(30, 3);
        result = file11to7();
    }

    return result;
}

int ToSeven::file8to7() {
    using namespace std;

    ofstream file( fileName.c_str() );
    if( file.fail() ) {
        return FALSE_N;
    }

file << s01 << s02 << s03 << s04 << s05 << s06 << s07 << endl
<< s01 << s02 << s03 << s04 << s05 << s06 << s08 << endl
<< s01 << s02 << s03 << s04 << s05 << s07 << s08 << endl
<< s01 << s02 << s03 << s04 << s06 << s07 << s08 << endl
<< s01 << s02 << s03 << s05 << s06 << s07 << s08 << endl
<< s01 << s02 << s04 << s05 << s06 << s07 << s08 << endl
<< s01 << s03 << s04 << s05 << s06 << s07 << s08 << endl
<< s02 << s03 << s04 << s05 << s06 << s07 << s08 << endl;
    file.close();
    return TRUE_N;
}

int ToSeven::file9to7() {
    using namespace std;

    ofstream file( fileName.c_str() );
    if( file.fail() ) {
        return FALSE_N;
    }

file << s01 << s02 << s03 << s04 << s05 << s06 << s07 << endl
<< s01 << s02 << s03 << s04 << s05 << s06 << s08 << endl
<< s01 << s02 << s03 << s04 << s05 << s06 << s09 << endl
<< s01 << s02 << s03 << s04 << s05 << s07 << s08 << endl
<< s01 << s02 << s03 << s04 << s05 << s07 << s09 << endl
<< s01 << s02 << s03 << s04 << s05 << s08 << s09 << endl
<< s01 << s02 << s03 << s04 << s06 << s07 << s08 << endl
<< s01 << s02 << s03 << s04 << s06 << s07 << s09 << endl
<< s01 << s02 << s03 << s04 << s06 << s08 << s09 << endl
<< s01 << s02 << s03 << s04 << s07 << s08 << s09 << endl
<< s01 << s02 << s03 << s05 << s06 << s07 << s08 << endl
<< s01 << s02 << s03 << s05 << s06 << s07 << s09 << endl
<< s01 << s02 << s03 << s05 << s06 << s08 << s09 << endl
<< s01 << s02 << s03 << s05 << s07 << s08 << s09 << endl
<< s01 << s02 << s03 << s06 << s07 << s08 << s09 << endl
<< s01 << s02 << s04 << s05 << s06 << s07 << s08 << endl
<< s01 << s02 << s04 << s05 << s06 << s07 << s09 << endl
<< s01 << s02 << s04 << s05 << s06 << s08 << s09 << endl
<< s01 << s02 << s04 << s05 << s07 << s08 << s09 << endl
<< s01 << s02 << s04 << s06 << s07 << s08 << s09 << endl
<< s01 << s02 << s05 << s06 << s07 << s08 << s09 << endl
<< s01 << s03 << s04 << s05 << s06 << s07 << s08 << endl
<< s01 << s03 << s04 << s05 << s06 << s07 << s09 << endl
<< s01 << s03 << s04 << s05 << s06 << s08 << s09 << endl
<< s01 << s03 << s04 << s05 << s07 << s08 << s09 << endl
<< s01 << s03 << s04 << s06 << s07 << s08 << s09 << endl
<< s01 << s03 << s05 << s06 << s07 << s08 << s09 << endl
<< s01 << s04 << s05 << s06 << s07 << s08 << s09 << endl
<< s02 << s03 << s04 << s05 << s06 << s07 << s08 << endl
<< s02 << s03 << s04 << s05 << s06 << s07 << s09 << endl
<< s02 << s03 << s04 << s05 << s06 << s08 << s09 << endl
<< s02 << s03 << s04 << s05 << s07 << s08 << s09 << endl
<< s02 << s03 << s04 << s06 << s07 << s08 << s09 << endl
<< s02 << s03 << s05 << s06 << s07 << s08 << s09 << endl
<< s02 << s04 << s05 << s06 << s07 << s08 << s09 << endl
<< s03 << s04 << s05 << s06 << s07 << s08 << s09 << endl;
    file.close();
    return TRUE_N;
}

int ToSeven::file10to7() {
    using namespace std;

    ofstream file( fileName.c_str() );
    if( file.fail() ) {
        return FALSE_N;
    }

file << s01 << s02 << s03 << s04 << s05 << s06 << s07 << endl
<< s01 << s02 << s03 << s04 << s05 << s06 << s08 << endl
<< s01 << s02 << s03 << s04 << s05 << s06 << s09 << endl
<< s01 << s02 << s03 << s04 << s05 << s06 << s10 << endl
<< s01 << s02 << s03 << s04 << s05 << s07 << s08 << endl
<< s01 << s02 << s03 << s04 << s05 << s07 << s09 << endl
<< s01 << s02 << s03 << s04 << s05 << s07 << s10 << endl
<< s01 << s02 << s03 << s04 << s05 << s08 << s09 << endl
<< s01 << s02 << s03 << s04 << s05 << s08 << s10 << endl
<< s01 << s02 << s03 << s04 << s05 << s09 << s10 << endl
<< s01 << s02 << s03 << s04 << s06 << s07 << s08 << endl
<< s01 << s02 << s03 << s04 << s06 << s07 << s09 << endl
<< s01 << s02 << s03 << s04 << s06 << s07 << s10 << endl
<< s01 << s02 << s03 << s04 << s06 << s08 << s09 << endl
<< s01 << s02 << s03 << s04 << s06 << s08 << s10 << endl
<< s01 << s02 << s03 << s04 << s06 << s09 << s10 << endl
<< s01 << s02 << s03 << s04 << s07 << s08 << s09 << endl
<< s01 << s02 << s03 << s04 << s07 << s08 << s10 << endl
<< s01 << s02 << s03 << s04 << s07 << s09 << s10 << endl
<< s01 << s02 << s03 << s04 << s08 << s09 << s10 << endl
<< s01 << s02 << s03 << s05 << s06 << s07 << s08 << endl
<< s01 << s02 << s03 << s05 << s06 << s07 << s09 << endl
<< s01 << s02 << s03 << s05 << s06 << s07 << s10 << endl
<< s01 << s02 << s03 << s05 << s06 << s08 << s09 << endl
<< s01 << s02 << s03 << s05 << s06 << s08 << s10 << endl
<< s01 << s02 << s03 << s05 << s06 << s09 << s10 << endl
<< s01 << s02 << s03 << s05 << s07 << s08 << s09 << endl
<< s01 << s02 << s03 << s05 << s07 << s08 << s10 << endl
<< s01 << s02 << s03 << s05 << s07 << s09 << s10 << endl
<< s01 << s02 << s03 << s05 << s08 << s09 << s10 << endl
<< s01 << s02 << s03 << s06 << s07 << s08 << s09 << endl
<< s01 << s02 << s03 << s06 << s07 << s08 << s10 << endl
<< s01 << s02 << s03 << s06 << s07 << s09 << s10 << endl
<< s01 << s02 << s03 << s06 << s08 << s09 << s10 << endl
<< s01 << s02 << s03 << s07 << s08 << s09 << s10 << endl
<< s01 << s02 << s04 << s05 << s06 << s07 << s08 << endl
<< s01 << s02 << s04 << s05 << s06 << s07 << s09 << endl
<< s01 << s02 << s04 << s05 << s06 << s07 << s10 << endl
<< s01 << s02 << s04 << s05 << s06 << s08 << s09 << endl
<< s01 << s02 << s04 << s05 << s06 << s08 << s10 << endl
<< s01 << s02 << s04 << s05 << s06 << s09 << s10 << endl
<< s01 << s02 << s04 << s05 << s07 << s08 << s09 << endl
<< s01 << s02 << s04 << s05 << s07 << s08 << s10 << endl
<< s01 << s02 << s04 << s05 << s07 << s09 << s10 << endl
<< s01 << s02 << s04 << s05 << s08 << s09 << s10 << endl
<< s01 << s02 << s04 << s06 << s07 << s08 << s09 << endl
<< s01 << s02 << s04 << s06 << s07 << s08 << s10 << endl
<< s01 << s02 << s04 << s06 << s07 << s09 << s10 << endl
<< s01 << s02 << s04 << s06 << s08 << s09 << s10 << endl
<< s01 << s02 << s04 << s07 << s08 << s09 << s10 << endl
<< s01 << s02 << s05 << s06 << s07 << s08 << s09 << endl
<< s01 << s02 << s05 << s06 << s07 << s08 << s10 << endl
<< s01 << s02 << s05 << s06 << s07 << s09 << s10 << endl
<< s01 << s02 << s05 << s06 << s08 << s09 << s10 << endl
<< s01 << s02 << s05 << s07 << s08 << s09 << s10 << endl
<< s01 << s02 << s06 << s07 << s08 << s09 << s10 << endl
<< s01 << s03 << s04 << s05 << s06 << s07 << s08 << endl
<< s01 << s03 << s04 << s05 << s06 << s07 << s09 << endl
<< s01 << s03 << s04 << s05 << s06 << s07 << s10 << endl
<< s01 << s03 << s04 << s05 << s06 << s08 << s09 << endl
<< s01 << s03 << s04 << s05 << s06 << s08 << s10 << endl
<< s01 << s03 << s04 << s05 << s06 << s09 << s10 << endl
<< s01 << s03 << s04 << s05 << s07 << s08 << s09 << endl
<< s01 << s03 << s04 << s05 << s07 << s08 << s10 << endl
<< s01 << s03 << s04 << s05 << s07 << s09 << s10 << endl
<< s01 << s03 << s04 << s05 << s08 << s09 << s10 << endl
<< s01 << s03 << s04 << s06 << s07 << s08 << s09 << endl
<< s01 << s03 << s04 << s06 << s07 << s08 << s10 << endl;

file << s01 << s03 << s04 << s06 << s07 << s09 << s10 << endl
<< s01 << s03 << s04 << s06 << s08 << s09 << s10 << endl
<< s01 << s03 << s04 << s07 << s08 << s09 << s10 << endl
<< s01 << s03 << s05 << s06 << s07 << s08 << s09 << endl
<< s01 << s03 << s05 << s06 << s07 << s08 << s10 << endl
<< s01 << s03 << s05 << s06 << s07 << s09 << s10 << endl
<< s01 << s03 << s05 << s06 << s08 << s09 << s10 << endl
<< s01 << s03 << s05 << s07 << s08 << s09 << s10 << endl
<< s01 << s03 << s06 << s07 << s08 << s09 << s10 << endl
<< s01 << s04 << s05 << s06 << s07 << s08 << s09 << endl
<< s01 << s04 << s05 << s06 << s07 << s08 << s10 << endl
<< s01 << s04 << s05 << s06 << s07 << s09 << s10 << endl
<< s01 << s04 << s05 << s06 << s08 << s09 << s10 << endl
<< s01 << s04 << s05 << s07 << s08 << s09 << s10 << endl
<< s01 << s04 << s06 << s07 << s08 << s09 << s10 << endl
<< s01 << s05 << s06 << s07 << s08 << s09 << s10 << endl
<< s02 << s03 << s04 << s05 << s06 << s07 << s08 << endl
<< s02 << s03 << s04 << s05 << s06 << s07 << s09 << endl
<< s02 << s03 << s04 << s05 << s06 << s07 << s10 << endl
<< s02 << s03 << s04 << s05 << s06 << s08 << s09 << endl
<< s02 << s03 << s04 << s05 << s06 << s08 << s10 << endl
<< s02 << s03 << s04 << s05 << s06 << s09 << s10 << endl
<< s02 << s03 << s04 << s05 << s07 << s08 << s09 << endl
<< s02 << s03 << s04 << s05 << s07 << s08 << s10 << endl
<< s02 << s03 << s04 << s05 << s07 << s09 << s10 << endl
<< s02 << s03 << s04 << s05 << s08 << s09 << s10 << endl
<< s02 << s03 << s04 << s06 << s07 << s08 << s09 << endl
<< s02 << s03 << s04 << s06 << s07 << s08 << s10 << endl
<< s02 << s03 << s04 << s06 << s07 << s09 << s10 << endl
<< s02 << s03 << s04 << s06 << s08 << s09 << s10 << endl
<< s02 << s03 << s04 << s07 << s08 << s09 << s10 << endl
<< s02 << s03 << s05 << s06 << s07 << s08 << s09 << endl
<< s02 << s03 << s05 << s06 << s07 << s08 << s10 << endl
<< s02 << s03 << s05 << s06 << s07 << s09 << s10 << endl
<< s02 << s03 << s05 << s06 << s08 << s09 << s10 << endl
<< s02 << s03 << s05 << s07 << s08 << s09 << s10 << endl
<< s02 << s03 << s06 << s07 << s08 << s09 << s10 << endl
<< s02 << s04 << s05 << s06 << s07 << s08 << s09 << endl
<< s02 << s04 << s05 << s06 << s07 << s08 << s10 << endl
<< s02 << s04 << s05 << s06 << s07 << s09 << s10 << endl
<< s02 << s04 << s05 << s06 << s08 << s09 << s10 << endl
<< s02 << s04 << s05 << s07 << s08 << s09 << s10 << endl
<< s02 << s04 << s06 << s07 << s08 << s09 << s10 << endl
<< s02 << s05 << s06 << s07 << s08 << s09 << s10 << endl
<< s03 << s04 << s05 << s06 << s07 << s08 << s09 << endl
<< s03 << s04 << s05 << s06 << s07 << s08 << s10 << endl
<< s03 << s04 << s05 << s06 << s07 << s09 << s10 << endl
<< s03 << s04 << s05 << s06 << s08 << s09 << s10 << endl
<< s03 << s04 << s05 << s07 << s08 << s09 << s10 << endl
<< s03 << s04 << s06 << s07 << s08 << s09 << s10 << endl
<< s03 << s05 << s06 << s07 << s08 << s09 << s10 << endl
<< s04 << s05 << s06 << s07 << s08 << s09 << s10 << endl;
    file.close();
    return TRUE_N;
}

int ToSeven::file11to7() {
    using namespace std;

    ofstream file( fileName.c_str() );
    if( file.fail() ) {
        return FALSE_N;
    }

file << s01 << s02 << s03 << s04 << s05 << s06 << s07 << endl
<< s01 << s02 << s03 << s04 << s05 << s06 << s08 << endl
<< s01 << s02 << s03 << s04 << s05 << s06 << s09 << endl
<< s01 << s02 << s03 << s04 << s05 << s06 << s10 << endl
<< s01 << s02 << s03 << s04 << s05 << s06 << s11 << endl
<< s01 << s02 << s03 << s04 << s05 << s07 << s08 << endl
<< s01 << s02 << s03 << s04 << s05 << s07 << s09 << endl
<< s01 << s02 << s03 << s04 << s05 << s07 << s10 << endl
<< s01 << s02 << s03 << s04 << s05 << s07 << s11 << endl
<< s01 << s02 << s03 << s04 << s05 << s08 << s09 << endl
<< s01 << s02 << s03 << s04 << s05 << s08 << s10 << endl
<< s01 << s02 << s03 << s04 << s05 << s08 << s11 << endl
<< s01 << s02 << s03 << s04 << s05 << s09 << s10 << endl
<< s01 << s02 << s03 << s04 << s05 << s09 << s11 << endl
<< s01 << s02 << s03 << s04 << s05 << s10 << s11 << endl
<< s01 << s02 << s03 << s04 << s06 << s07 << s08 << endl
<< s01 << s02 << s03 << s04 << s06 << s07 << s09 << endl
<< s01 << s02 << s03 << s04 << s06 << s07 << s10 << endl
<< s01 << s02 << s03 << s04 << s06 << s07 << s11 << endl
<< s01 << s02 << s03 << s04 << s06 << s08 << s09 << endl
<< s01 << s02 << s03 << s04 << s06 << s08 << s10 << endl
<< s01 << s02 << s03 << s04 << s06 << s08 << s11 << endl
<< s01 << s02 << s03 << s04 << s06 << s09 << s10 << endl
<< s01 << s02 << s03 << s04 << s06 << s09 << s11 << endl
<< s01 << s02 << s03 << s04 << s06 << s10 << s11 << endl
<< s01 << s02 << s03 << s04 << s07 << s08 << s09 << endl
<< s01 << s02 << s03 << s04 << s07 << s08 << s10 << endl
<< s01 << s02 << s03 << s04 << s07 << s08 << s11 << endl
<< s01 << s02 << s03 << s04 << s07 << s09 << s10 << endl
<< s01 << s02 << s03 << s04 << s07 << s09 << s11 << endl
<< s01 << s02 << s03 << s04 << s07 << s10 << s11 << endl
<< s01 << s02 << s03 << s04 << s08 << s09 << s10 << endl
<< s01 << s02 << s03 << s04 << s08 << s09 << s11 << endl
<< s01 << s02 << s03 << s04 << s08 << s10 << s11 << endl
<< s01 << s02 << s03 << s04 << s09 << s10 << s11 << endl
<< s01 << s02 << s03 << s05 << s06 << s07 << s08 << endl
<< s01 << s02 << s03 << s05 << s06 << s07 << s09 << endl
<< s01 << s02 << s03 << s05 << s06 << s07 << s10 << endl
<< s01 << s02 << s03 << s05 << s06 << s07 << s11 << endl
<< s01 << s02 << s03 << s05 << s06 << s08 << s09 << endl
<< s01 << s02 << s03 << s05 << s06 << s08 << s10 << endl
<< s01 << s02 << s03 << s05 << s06 << s08 << s11 << endl
<< s01 << s02 << s03 << s05 << s06 << s09 << s10 << endl
<< s01 << s02 << s03 << s05 << s06 << s09 << s11 << endl
<< s01 << s02 << s03 << s05 << s06 << s10 << s11 << endl
<< s01 << s02 << s03 << s05 << s07 << s08 << s09 << endl
<< s01 << s02 << s03 << s05 << s07 << s08 << s10 << endl
<< s01 << s02 << s03 << s05 << s07 << s08 << s11 << endl
<< s01 << s02 << s03 << s05 << s07 << s09 << s10 << endl
<< s01 << s02 << s03 << s05 << s07 << s09 << s11 << endl
<< s01 << s02 << s03 << s05 << s07 << s10 << s11 << endl
<< s01 << s02 << s03 << s05 << s08 << s09 << s10 << endl
<< s01 << s02 << s03 << s05 << s08 << s09 << s11 << endl
<< s01 << s02 << s03 << s05 << s08 << s10 << s11 << endl
<< s01 << s02 << s03 << s05 << s09 << s10 << s11 << endl
<< s01 << s02 << s03 << s06 << s07 << s08 << s09 << endl
<< s01 << s02 << s03 << s06 << s07 << s08 << s10 << endl
<< s01 << s02 << s03 << s06 << s07 << s08 << s11 << endl
<< s01 << s02 << s03 << s06 << s07 << s09 << s10 << endl
<< s01 << s02 << s03 << s06 << s07 << s09 << s11 << endl
<< s01 << s02 << s03 << s06 << s07 << s10 << s11 << endl
<< s01 << s02 << s03 << s06 << s08 << s09 << s10 << endl
<< s01 << s02 << s03 << s06 << s08 << s09 << s11 << endl
<< s01 << s02 << s03 << s06 << s08 << s10 << s11 << endl
<< s01 << s02 << s03 << s06 << s09 << s10 << s11 << endl
<< s01 << s02 << s03 << s07 << s08 << s09 << s10 << endl
<< s01 << s02 << s03 << s07 << s08 << s09 << s11 << endl
<< s01 << s02 << s03 << s07 << s08 << s10 << s11 << endl;

file << s01 << s02 << s03 << s07 << s09 << s10 << s11 << endl
<< s01 << s02 << s03 << s08 << s09 << s10 << s11 << endl
<< s01 << s02 << s04 << s05 << s06 << s07 << s08 << endl
<< s01 << s02 << s04 << s05 << s06 << s07 << s09 << endl
<< s01 << s02 << s04 << s05 << s06 << s07 << s10 << endl
<< s01 << s02 << s04 << s05 << s06 << s07 << s11 << endl
<< s01 << s02 << s04 << s05 << s06 << s08 << s09 << endl
<< s01 << s02 << s04 << s05 << s06 << s08 << s10 << endl
<< s01 << s02 << s04 << s05 << s06 << s08 << s11 << endl
<< s01 << s02 << s04 << s05 << s06 << s09 << s10 << endl
<< s01 << s02 << s04 << s05 << s06 << s09 << s11 << endl
<< s01 << s02 << s04 << s05 << s06 << s10 << s11 << endl
<< s01 << s02 << s04 << s05 << s07 << s08 << s09 << endl
<< s01 << s02 << s04 << s05 << s07 << s08 << s10 << endl
<< s01 << s02 << s04 << s05 << s07 << s08 << s11 << endl
<< s01 << s02 << s04 << s05 << s07 << s09 << s10 << endl
<< s01 << s02 << s04 << s05 << s07 << s09 << s11 << endl
<< s01 << s02 << s04 << s05 << s07 << s10 << s11 << endl
<< s01 << s02 << s04 << s05 << s08 << s09 << s10 << endl
<< s01 << s02 << s04 << s05 << s08 << s09 << s11 << endl
<< s01 << s02 << s04 << s05 << s08 << s10 << s11 << endl
<< s01 << s02 << s04 << s05 << s09 << s10 << s11 << endl
<< s01 << s02 << s04 << s06 << s07 << s08 << s09 << endl
<< s01 << s02 << s04 << s06 << s07 << s08 << s10 << endl
<< s01 << s02 << s04 << s06 << s07 << s08 << s11 << endl
<< s01 << s02 << s04 << s06 << s07 << s09 << s10 << endl
<< s01 << s02 << s04 << s06 << s07 << s09 << s11 << endl
<< s01 << s02 << s04 << s06 << s07 << s10 << s11 << endl
<< s01 << s02 << s04 << s06 << s08 << s09 << s10 << endl
<< s01 << s02 << s04 << s06 << s08 << s09 << s11 << endl
<< s01 << s02 << s04 << s06 << s08 << s10 << s11 << endl
<< s01 << s02 << s04 << s06 << s09 << s10 << s11 << endl
<< s01 << s02 << s04 << s07 << s08 << s09 << s10 << endl
<< s01 << s02 << s04 << s07 << s08 << s09 << s11 << endl
<< s01 << s02 << s04 << s07 << s08 << s10 << s11 << endl
<< s01 << s02 << s04 << s07 << s09 << s10 << s11 << endl
<< s01 << s02 << s04 << s08 << s09 << s10 << s11 << endl
<< s01 << s02 << s05 << s06 << s07 << s08 << s09 << endl
<< s01 << s02 << s05 << s06 << s07 << s08 << s10 << endl
<< s01 << s02 << s05 << s06 << s07 << s08 << s11 << endl
<< s01 << s02 << s05 << s06 << s07 << s09 << s10 << endl
<< s01 << s02 << s05 << s06 << s07 << s09 << s11 << endl
<< s01 << s02 << s05 << s06 << s07 << s10 << s11 << endl
<< s01 << s02 << s05 << s06 << s08 << s09 << s10 << endl
<< s01 << s02 << s05 << s06 << s08 << s09 << s11 << endl
<< s01 << s02 << s05 << s06 << s08 << s10 << s11 << endl
<< s01 << s02 << s05 << s06 << s09 << s10 << s11 << endl
<< s01 << s02 << s05 << s07 << s08 << s09 << s10 << endl
<< s01 << s02 << s05 << s07 << s08 << s09 << s11 << endl
<< s01 << s02 << s05 << s07 << s08 << s10 << s11 << endl
<< s01 << s02 << s05 << s07 << s09 << s10 << s11 << endl
<< s01 << s02 << s05 << s08 << s09 << s10 << s11 << endl
<< s01 << s02 << s06 << s07 << s08 << s09 << s10 << endl
<< s01 << s02 << s06 << s07 << s08 << s09 << s11 << endl
<< s01 << s02 << s06 << s07 << s08 << s10 << s11 << endl
<< s01 << s02 << s06 << s07 << s09 << s10 << s11 << endl
<< s01 << s02 << s06 << s08 << s09 << s10 << s11 << endl
<< s01 << s02 << s07 << s08 << s09 << s10 << s11 << endl
<< s01 << s03 << s04 << s05 << s06 << s07 << s08 << endl
<< s01 << s03 << s04 << s05 << s06 << s07 << s09 << endl
<< s01 << s03 << s04 << s05 << s06 << s07 << s10 << endl
<< s01 << s03 << s04 << s05 << s06 << s07 << s11 << endl
<< s01 << s03 << s04 << s05 << s06 << s08 << s09 << endl
<< s01 << s03 << s04 << s05 << s06 << s08 << s10 << endl
<< s01 << s03 << s04 << s05 << s06 << s08 << s11 << endl
<< s01 << s03 << s04 << s05 << s06 << s09 << s10 << endl
<< s01 << s03 << s04 << s05 << s06 << s09 << s11 << endl
<< s01 << s03 << s04 << s05 << s06 << s10 << s11 << endl;

file << s01 << s03 << s04 << s05 << s07 << s08 << s09 << endl
<< s01 << s03 << s04 << s05 << s07 << s08 << s10 << endl
<< s01 << s03 << s04 << s05 << s07 << s08 << s11 << endl
<< s01 << s03 << s04 << s05 << s07 << s09 << s10 << endl
<< s01 << s03 << s04 << s05 << s07 << s09 << s11 << endl
<< s01 << s03 << s04 << s05 << s07 << s10 << s11 << endl
<< s01 << s03 << s04 << s05 << s08 << s09 << s10 << endl
<< s01 << s03 << s04 << s05 << s08 << s09 << s11 << endl
<< s01 << s03 << s04 << s05 << s08 << s10 << s11 << endl
<< s01 << s03 << s04 << s05 << s09 << s10 << s11 << endl
<< s01 << s03 << s04 << s06 << s07 << s08 << s09 << endl
<< s01 << s03 << s04 << s06 << s07 << s08 << s10 << endl
<< s01 << s03 << s04 << s06 << s07 << s08 << s11 << endl
<< s01 << s03 << s04 << s06 << s07 << s09 << s10 << endl
<< s01 << s03 << s04 << s06 << s07 << s09 << s11 << endl
<< s01 << s03 << s04 << s06 << s07 << s10 << s11 << endl
<< s01 << s03 << s04 << s06 << s08 << s09 << s10 << endl
<< s01 << s03 << s04 << s06 << s08 << s09 << s11 << endl
<< s01 << s03 << s04 << s06 << s08 << s10 << s11 << endl
<< s01 << s03 << s04 << s06 << s09 << s10 << s11 << endl
<< s01 << s03 << s04 << s07 << s08 << s09 << s10 << endl
<< s01 << s03 << s04 << s07 << s08 << s09 << s11 << endl
<< s01 << s03 << s04 << s07 << s08 << s10 << s11 << endl
<< s01 << s03 << s04 << s07 << s09 << s10 << s11 << endl
<< s01 << s03 << s04 << s08 << s09 << s10 << s11 << endl
<< s01 << s03 << s05 << s06 << s07 << s08 << s09 << endl
<< s01 << s03 << s05 << s06 << s07 << s08 << s10 << endl
<< s01 << s03 << s05 << s06 << s07 << s08 << s11 << endl
<< s01 << s03 << s05 << s06 << s07 << s09 << s10 << endl
<< s01 << s03 << s05 << s06 << s07 << s09 << s11 << endl
<< s01 << s03 << s05 << s06 << s07 << s10 << s11 << endl
<< s01 << s03 << s05 << s06 << s08 << s09 << s10 << endl
<< s01 << s03 << s05 << s06 << s08 << s09 << s11 << endl
<< s01 << s03 << s05 << s06 << s08 << s10 << s11 << endl
<< s01 << s03 << s05 << s06 << s09 << s10 << s11 << endl
<< s01 << s03 << s05 << s07 << s08 << s09 << s10 << endl
<< s01 << s03 << s05 << s07 << s08 << s09 << s11 << endl
<< s01 << s03 << s05 << s07 << s08 << s10 << s11 << endl
<< s01 << s03 << s05 << s07 << s09 << s10 << s11 << endl
<< s01 << s03 << s05 << s08 << s09 << s10 << s11 << endl
<< s01 << s03 << s06 << s07 << s08 << s09 << s10 << endl
<< s01 << s03 << s06 << s07 << s08 << s09 << s11 << endl
<< s01 << s03 << s06 << s07 << s08 << s10 << s11 << endl
<< s01 << s03 << s06 << s07 << s09 << s10 << s11 << endl
<< s01 << s03 << s06 << s08 << s09 << s10 << s11 << endl
<< s01 << s03 << s07 << s08 << s09 << s10 << s11 << endl
<< s01 << s04 << s05 << s06 << s07 << s08 << s09 << endl
<< s01 << s04 << s05 << s06 << s07 << s08 << s10 << endl
<< s01 << s04 << s05 << s06 << s07 << s08 << s11 << endl
<< s01 << s04 << s05 << s06 << s07 << s09 << s10 << endl
<< s01 << s04 << s05 << s06 << s07 << s09 << s11 << endl
<< s01 << s04 << s05 << s06 << s07 << s10 << s11 << endl
<< s01 << s04 << s05 << s06 << s08 << s09 << s10 << endl
<< s01 << s04 << s05 << s06 << s08 << s09 << s11 << endl
<< s01 << s04 << s05 << s06 << s08 << s10 << s11 << endl
<< s01 << s04 << s05 << s06 << s09 << s10 << s11 << endl
<< s01 << s04 << s05 << s07 << s08 << s09 << s10 << endl
<< s01 << s04 << s05 << s07 << s08 << s09 << s11 << endl
<< s01 << s04 << s05 << s07 << s08 << s10 << s11 << endl
<< s01 << s04 << s05 << s07 << s09 << s10 << s11 << endl
<< s01 << s04 << s05 << s08 << s09 << s10 << s11 << endl
<< s01 << s04 << s06 << s07 << s08 << s09 << s10 << endl
<< s01 << s04 << s06 << s07 << s08 << s09 << s11 << endl
<< s01 << s04 << s06 << s07 << s08 << s10 << s11 << endl
<< s01 << s04 << s06 << s07 << s09 << s10 << s11 << endl
<< s01 << s04 << s06 << s08 << s09 << s10 << s11 << endl
<< s01 << s04 << s07 << s08 << s09 << s10 << s11 << endl
<< s01 << s05 << s06 << s07 << s08 << s09 << s10 << endl;

file << s01 << s05 << s06 << s07 << s08 << s09 << s11 << endl
<< s01 << s05 << s06 << s07 << s08 << s10 << s11 << endl
<< s01 << s05 << s06 << s07 << s09 << s10 << s11 << endl
<< s01 << s05 << s06 << s08 << s09 << s10 << s11 << endl
<< s01 << s05 << s07 << s08 << s09 << s10 << s11 << endl
<< s01 << s06 << s07 << s08 << s09 << s10 << s11 << endl
<< s02 << s03 << s04 << s05 << s06 << s07 << s08 << endl
<< s02 << s03 << s04 << s05 << s06 << s07 << s09 << endl
<< s02 << s03 << s04 << s05 << s06 << s07 << s10 << endl
<< s02 << s03 << s04 << s05 << s06 << s07 << s11 << endl
<< s02 << s03 << s04 << s05 << s06 << s08 << s09 << endl
<< s02 << s03 << s04 << s05 << s06 << s08 << s10 << endl
<< s02 << s03 << s04 << s05 << s06 << s08 << s11 << endl
<< s02 << s03 << s04 << s05 << s06 << s09 << s10 << endl
<< s02 << s03 << s04 << s05 << s06 << s09 << s11 << endl
<< s02 << s03 << s04 << s05 << s06 << s10 << s11 << endl
<< s02 << s03 << s04 << s05 << s07 << s08 << s09 << endl
<< s02 << s03 << s04 << s05 << s07 << s08 << s10 << endl
<< s02 << s03 << s04 << s05 << s07 << s08 << s11 << endl
<< s02 << s03 << s04 << s05 << s07 << s09 << s10 << endl
<< s02 << s03 << s04 << s05 << s07 << s09 << s11 << endl
<< s02 << s03 << s04 << s05 << s07 << s10 << s11 << endl
<< s02 << s03 << s04 << s05 << s08 << s09 << s10 << endl
<< s02 << s03 << s04 << s05 << s08 << s09 << s11 << endl
<< s02 << s03 << s04 << s05 << s08 << s10 << s11 << endl
<< s02 << s03 << s04 << s05 << s09 << s10 << s11 << endl
<< s02 << s03 << s04 << s06 << s07 << s08 << s09 << endl
<< s02 << s03 << s04 << s06 << s07 << s08 << s10 << endl
<< s02 << s03 << s04 << s06 << s07 << s08 << s11 << endl
<< s02 << s03 << s04 << s06 << s07 << s09 << s10 << endl
<< s02 << s03 << s04 << s06 << s07 << s09 << s11 << endl
<< s02 << s03 << s04 << s06 << s07 << s10 << s11 << endl
<< s02 << s03 << s04 << s06 << s08 << s09 << s10 << endl
<< s02 << s03 << s04 << s06 << s08 << s09 << s11 << endl
<< s02 << s03 << s04 << s06 << s08 << s10 << s11 << endl
<< s02 << s03 << s04 << s06 << s09 << s10 << s11 << endl
<< s02 << s03 << s04 << s07 << s08 << s09 << s10 << endl
<< s02 << s03 << s04 << s07 << s08 << s09 << s11 << endl
<< s02 << s03 << s04 << s07 << s08 << s10 << s11 << endl
<< s02 << s03 << s04 << s07 << s09 << s10 << s11 << endl
<< s02 << s03 << s04 << s08 << s09 << s10 << s11 << endl
<< s02 << s03 << s05 << s06 << s07 << s08 << s09 << endl
<< s02 << s03 << s05 << s06 << s07 << s08 << s10 << endl
<< s02 << s03 << s05 << s06 << s07 << s08 << s11 << endl
<< s02 << s03 << s05 << s06 << s07 << s09 << s10 << endl
<< s02 << s03 << s05 << s06 << s07 << s09 << s11 << endl
<< s02 << s03 << s05 << s06 << s07 << s10 << s11 << endl
<< s02 << s03 << s05 << s06 << s08 << s09 << s10 << endl
<< s02 << s03 << s05 << s06 << s08 << s09 << s11 << endl
<< s02 << s03 << s05 << s06 << s08 << s10 << s11 << endl
<< s02 << s03 << s05 << s06 << s09 << s10 << s11 << endl
<< s02 << s03 << s05 << s07 << s08 << s09 << s10 << endl
<< s02 << s03 << s05 << s07 << s08 << s09 << s11 << endl
<< s02 << s03 << s05 << s07 << s08 << s10 << s11 << endl
<< s02 << s03 << s05 << s07 << s09 << s10 << s11 << endl
<< s02 << s03 << s05 << s08 << s09 << s10 << s11 << endl
<< s02 << s03 << s06 << s07 << s08 << s09 << s10 << endl
<< s02 << s03 << s06 << s07 << s08 << s09 << s11 << endl
<< s02 << s03 << s06 << s07 << s08 << s10 << s11 << endl
<< s02 << s03 << s06 << s07 << s09 << s10 << s11 << endl
<< s02 << s03 << s06 << s08 << s09 << s10 << s11 << endl
<< s02 << s03 << s07 << s08 << s09 << s10 << s11 << endl
<< s02 << s04 << s05 << s06 << s07 << s08 << s09 << endl
<< s02 << s04 << s05 << s06 << s07 << s08 << s10 << endl
<< s02 << s04 << s05 << s06 << s07 << s08 << s11 << endl
<< s02 << s04 << s05 << s06 << s07 << s09 << s10 << endl
<< s02 << s04 << s05 << s06 << s07 << s09 << s11 << endl
<< s02 << s04 << s05 << s06 << s07 << s10 << s11 << endl;

file << s02 << s04 << s05 << s06 << s08 << s09 << s10 << endl
<< s02 << s04 << s05 << s06 << s08 << s09 << s11 << endl
<< s02 << s04 << s05 << s06 << s08 << s10 << s11 << endl
<< s02 << s04 << s05 << s06 << s09 << s10 << s11 << endl
<< s02 << s04 << s05 << s07 << s08 << s09 << s10 << endl
<< s02 << s04 << s05 << s07 << s08 << s09 << s11 << endl
<< s02 << s04 << s05 << s07 << s08 << s10 << s11 << endl
<< s02 << s04 << s05 << s07 << s09 << s10 << s11 << endl
<< s02 << s04 << s05 << s08 << s09 << s10 << s11 << endl
<< s02 << s04 << s06 << s07 << s08 << s09 << s10 << endl
<< s02 << s04 << s06 << s07 << s08 << s09 << s11 << endl
<< s02 << s04 << s06 << s07 << s08 << s10 << s11 << endl
<< s02 << s04 << s06 << s07 << s09 << s10 << s11 << endl
<< s02 << s04 << s06 << s08 << s09 << s10 << s11 << endl
<< s02 << s04 << s07 << s08 << s09 << s10 << s11 << endl
<< s02 << s05 << s06 << s07 << s08 << s09 << s10 << endl
<< s02 << s05 << s06 << s07 << s08 << s09 << s11 << endl
<< s02 << s05 << s06 << s07 << s08 << s10 << s11 << endl
<< s02 << s05 << s06 << s07 << s09 << s10 << s11 << endl
<< s02 << s05 << s06 << s08 << s09 << s10 << s11 << endl
<< s02 << s05 << s07 << s08 << s09 << s10 << s11 << endl
<< s02 << s06 << s07 << s08 << s09 << s10 << s11 << endl
<< s03 << s04 << s05 << s06 << s07 << s08 << s09 << endl
<< s03 << s04 << s05 << s06 << s07 << s08 << s10 << endl
<< s03 << s04 << s05 << s06 << s07 << s08 << s11 << endl
<< s03 << s04 << s05 << s06 << s07 << s09 << s10 << endl
<< s03 << s04 << s05 << s06 << s07 << s09 << s11 << endl
<< s03 << s04 << s05 << s06 << s07 << s10 << s11 << endl
<< s03 << s04 << s05 << s06 << s08 << s09 << s10 << endl
<< s03 << s04 << s05 << s06 << s08 << s09 << s11 << endl
<< s03 << s04 << s05 << s06 << s08 << s10 << s11 << endl
<< s03 << s04 << s05 << s06 << s09 << s10 << s11 << endl
<< s03 << s04 << s05 << s07 << s08 << s09 << s10 << endl
<< s03 << s04 << s05 << s07 << s08 << s09 << s11 << endl
<< s03 << s04 << s05 << s07 << s08 << s10 << s11 << endl
<< s03 << s04 << s05 << s07 << s09 << s10 << s11 << endl
<< s03 << s04 << s05 << s08 << s09 << s10 << s11 << endl
<< s03 << s04 << s06 << s07 << s08 << s09 << s10 << endl
<< s03 << s04 << s06 << s07 << s08 << s09 << s11 << endl
<< s03 << s04 << s06 << s07 << s08 << s10 << s11 << endl
<< s03 << s04 << s06 << s07 << s09 << s10 << s11 << endl
<< s03 << s04 << s06 << s08 << s09 << s10 << s11 << endl
<< s03 << s04 << s07 << s08 << s09 << s10 << s11 << endl
<< s03 << s05 << s06 << s07 << s08 << s09 << s10 << endl
<< s03 << s05 << s06 << s07 << s08 << s09 << s11 << endl
<< s03 << s05 << s06 << s07 << s08 << s10 << s11 << endl
<< s03 << s05 << s06 << s07 << s09 << s10 << s11 << endl
<< s03 << s05 << s06 << s08 << s09 << s10 << s11 << endl
<< s03 << s05 << s07 << s08 << s09 << s10 << s11 << endl
<< s03 << s06 << s07 << s08 << s09 << s10 << s11 << endl
<< s04 << s05 << s06 << s07 << s08 << s09 << s10 << endl
<< s04 << s05 << s06 << s07 << s08 << s09 << s11 << endl
<< s04 << s05 << s06 << s07 << s08 << s10 << s11 << endl
<< s04 << s05 << s06 << s07 << s09 << s10 << s11 << endl
<< s04 << s05 << s06 << s08 << s09 << s10 << s11 << endl
<< s04 << s05 << s07 << s08 << s09 << s10 << s11 << endl
<< s04 << s06 << s07 << s08 << s09 << s10 << s11 << endl
<< s05 << s06 << s07 << s08 << s09 << s10 << s11 << endl;
    file.close();
    return TRUE_N;
}
