#ifndef TO_SIX_H
#define TO_SIX_H

#define ALL_TO_SIX 43
#include <fstream>
#include <string>

class ToSix {
    const int ALL, BALL_GAP_SIZE, FALSE_N, TRUE_N;
    const std::string B01, B02, B03, B04, B05, B06, B07, B08, B09, B10, B11, B12, B13, B14, B15, B16, B17, B18, B19, B20, B21, B22, B23, B24, B25, B26, B27, B28, B29, B30, B31, B32, B33, B34, B35, B36, B37, B38, B39, B40, B41, B42, B43, BOX_7TO6, BOX_8TO6, BOX_9TO6, BOX_10TO6, EMPTY;
    int sequenceLength;
    std::string error, fileName, sequence, s01, s02, s03, s04, s05, s06, s07, s08, s09, s10, to6;
    std::string ball[ ALL_TO_SIX + 1 ];

public:
    std::string inquiry() const {
        return error;
    }

    ~ToSix(){};
    ToSix(std::string & f, std::string & s): ALL(ALL_TO_SIX), B01("01 "), B02("02 "), B03("03 "), B04("04 "), B05("05 "), B06("06 "), B07("07 "), B08("08 "), B09("09 "), B10("10 "), B11("11 "), B12("12 "), B13("13 "), B14("14 "), B15("15 "), B16("16 "), B17("17 "), B18("18 "), B19("19 "), B20("20 "), B21("21 "), B22("22 "), B23("23 "), B24("24 "), B25("25 "), B26("26 "), B27("27 "), B28("28 "), B29("29 "), B30("30 "), B31("31 "), B32("32 "), B33("33 "), B34("34 "), B35("35 "), B36("36 "), B37("37 "), BALL_GAP_SIZE(3), BOX_7TO6(" 7to6"), BOX_8TO6(" 8to6"), BOX_9TO6(" 9to6"), BOX_10TO6("10to6"), EMPTY(""), FALSE_N(0), TRUE_N(1) {
        ball[0] = EMPTY; ball[1] = B01; ball[2] = B02; ball[3] = B03; ball[4] = B04; ball[5] = B05; ball[6] = B06; ball[7] = B07; ball[8] = B08; ball[9] = B09; ball[10] = B10; ball[11] = B11; ball[12] = B12; ball[13] = B13; ball[14] = B14; ball[15] = B15; ball[16] = B16; ball[17] = B17; ball[18] = B18; ball[19] = B19; ball[20] = B20; ball[21] = B21; ball[22] = B22; ball[23] = B23; ball[24] = B24; ball[25] = B25; ball[26] = B26; ball[27] = B27; ball[28] = B28; ball[29] = B29; ball[30] = B30; ball[31] = B31; ball[32] = B32; ball[33] = B33; ball[34] = B34; ball[35] = B35; ball[36] = B36; ball[37] = B37; ball[38] = B38; ball[39] = B39; ball[40] = B40; ball[41] = B41; ball[42] = B42; ball[43] = B43;
        fileName = f;
        sequence = s;
    }

    bool wrongBall(std::string & s);
    int file10to6();
    int file7to6();
    int file8to6();
    int file9to6();
    int writeFile();
};

#endif // TO_SIX_H
