CC        = bcc32
LINKER    = ilink32

INCLUDE = -I"C:\borland\bcc55\Include"
LIB     = /L"C:\borland\bcc55\Lib"

CFLAGS = -O2 -w 
LFLAGS = /Tpe /c /ap

TARGET = resu.exe
OBJS   = altering.obj consecutive.obj datefollowed.obj gapid.obj lotoline.obj numbered.obj os-specific.obj resumain.obj timename.obj tofive.obj toseven.obj tosix.obj xorshift.obj 

ALL : $(TARGET)

altering.obj: Altering.cpp
	$(CC) $(INCLUDE) -c Altering.cpp
consecutive.obj: Consecutive.cpp
	$(CC) $(INCLUDE) -c Consecutive.cpp
datefollowed.obj: DateFollowed.cpp
	$(CC) $(INCLUDE) -c DateFollowed.cpp
gapid.obj: gapID.cpp
	$(CC) $(INCLUDE) -c gapID.cpp
lotoline.obj: lotoLine.cpp
	$(CC) $(INCLUDE) -c lotoLine.cpp
numbered.obj: numbered.cpp
	$(CC) $(INCLUDE) -c numbered.cpp
os-specific.obj: OS-specific.cpp
	$(CC) $(INCLUDE) -c OS-specific.cpp
resumain.obj: resuMain.cpp
	$(CC) $(CFLAGS) $(INCLUDE) -c resuMain.cpp
timename.obj: TimeName.cpp
	$(CC) $(INCLUDE) -c TimeName.cpp
tofive.obj: ToFive.cpp
	$(CC) $(INCLUDE) -c ToFive.cpp
toseven.obj: ToSeven.cpp
	$(CC) $(INCLUDE) -c ToSeven.cpp
tosix.obj: ToSix.cpp
	$(CC) $(INCLUDE) -c ToSix.cpp
xorshift.obj: Xorshift.cpp
	$(CC) $(INCLUDE) -c Xorshift.cpp
$(TARGET): $(OBJS) $(RESFILES)
	$(LINKER) $(LFLAGS) $(LIB) $(OBJS) c0x32.obj,$(TARGET),,cw32.lib import32.lib,,

clean:
	del *.obj
	del *.tds
	del *.il*
	del *.map
	del *.res
